Session Fixation in Jenkins OpenId Connect Authentication plugin



Published: 2023-01-25
Risk High
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2023-24424
CWE-ID CWE-384
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
OpenId Connect Authentication
Web applications / Modules and components for CMS

Vendor Jenkins

Security Bulletin

This security bulletin contains one high risk vulnerability.

1) Session Fixation

EUVDB-ID: #VU71506

Risk: High

CVSSv3.1:

CVE-ID: CVE-2023-24424

CWE-ID: CWE-384 - Session Fixation

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise the target system.

The vulnerability exists due to the session fixation issue. A remote attacker can gain administrator access to Jenkins.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

OpenId Connect Authentication: 1.0 - 2.4


CPE2.3 External links

http://jenkins.io/security/advisory/2023-01-24/

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###